Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

Problems on terminal using dnf

It is weird , but I don't know what is the problem there.
I am trying to listing all the eclipse packages but i can't do that


[harvey@localhost ~]$ dnf list eclipse*
Last metadata expiration check: 4:29:56 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Error: No matching Packages to list
[harvey@localhost ~]$ 

It works with python*


[harvey@localhost ~]$ dnf list python*
Last metadata expiration check: 4:30:35 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
python-pip-wheel.noarch                     18.1-1.fc29                @updates 
python-setuptools-wheel.noarch              40.4.3-1.fc29              @anaconda
python-srpm-macros.noarch                   3-37.fc29                  @fedora 
python-systemd-doc.x86_64 234-7.fc29 @koji-override-0 python-unversioned-command.noarch 2.7.15-11.fc29 @updates python2.x86_64 2.7.15-11.fc29 @updates

I have to use \* , but I remember have been used only *


[harvey@localhost ~]$ dnf list eclipse\*
Last metadata expiration check: 4:37:25 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
eclipse-abrt.noarch                        0.0.3-7.fc29                 @updates
eclipse-ecf-core.noarch                    3.14.4-1.fc29                @updates
eclipse-egit.noarch                        5.2.0-1.fc29                 @updates
eclipse-emf-core.noarch                    1:2.16.0-1.fc29              @updates
eclipse-emf-runtime.noarch                 2.16.0-1.fc29                @updates
eclipse-emf-xsd.noarch                     2.16.0-1.fc29                @updates

Problems on terminal using dnf

It is weird , but I don't know what is the problem there.
I am trying to listing all the eclipse packages but i can't do that


[harvey@localhost ~]$ dnf list eclipse*
Last metadata expiration check: 4:29:56 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Error: No matching Packages to list
[harvey@localhost ~]$ 

It works with python*


[harvey@localhost ~]$ dnf list python*
Last metadata expiration check: 4:30:35 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
python-pip-wheel.noarch                     18.1-1.fc29                @updates 
python-setuptools-wheel.noarch              40.4.3-1.fc29              @anaconda
python-srpm-macros.noarch                   3-37.fc29                  @fedora 
python-systemd-doc.x86_64 234-7.fc29 @koji-override-0 python-unversioned-command.noarch 2.7.15-11.fc29 @updates python2.x86_64 2.7.15-11.fc29 @updates

I have to use \* , but I remember have been used only *


[harvey@localhost ~]$ dnf list eclipse\*
Last metadata expiration check: 4:37:25 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
eclipse-abrt.noarch                        0.0.3-7.fc29                 @updates
eclipse-ecf-core.noarch                    3.14.4-1.fc29                @updates
eclipse-egit.noarch                        5.2.0-1.fc29                 @updates
eclipse-emf-core.noarch                    1:2.16.0-1.fc29              @updates
eclipse-emf-runtime.noarch                 2.16.0-1.fc29                @updates
eclipse-emf-xsd.noarch                     2.16.0-1.fc29                @updates

Problems on terminal using dnfwildcards

It is weird , but I don't know what is the problem there.
I am trying to listing all the eclipse packages but i can't do that


[harvey@localhost ~]$ dnf list eclipse*
Last metadata expiration check: 4:29:56 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Error: No matching Packages to list
[harvey@localhost ~]$ 

It works with python*


[harvey@localhost ~]$ dnf list python*
Last metadata expiration check: 4:30:35 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
python-pip-wheel.noarch                     18.1-1.fc29                @updates 
python-setuptools-wheel.noarch              40.4.3-1.fc29              @anaconda
python-srpm-macros.noarch                   3-37.fc29                  @fedora 
python-systemd-doc.x86_64 234-7.fc29 @koji-override-0 python-unversioned-command.noarch 2.7.15-11.fc29 @updates python2.x86_64 2.7.15-11.fc29 @updates

I have to use \* , but I remember have been used only *


[harvey@localhost ~]$ dnf list eclipse\*
Last metadata expiration check: 4:37:25 ago on Wed 26 Dec 2018 11:44:58 AM -05.
Installed Packages
eclipse-abrt.noarch                        0.0.3-7.fc29                 @updates
eclipse-ecf-core.noarch                    3.14.4-1.fc29                @updates
eclipse-egit.noarch                        5.2.0-1.fc29                 @updates
eclipse-emf-core.noarch                    1:2.16.0-1.fc29              @updates
eclipse-emf-runtime.noarch                 2.16.0-1.fc29                @updates
eclipse-emf-xsd.noarch                     2.16.0-1.fc29                @updates

Do you have the same problem? I want to know that because It is very weird.